Delete an event type sequence
curl --request DELETE \
--url https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}import requests
url = "https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_bodyEvent Type Sequences
Delete an event type sequence
Loops already booked stay: each of their segments is a normal booking of its event type. PBAC permission: eventType.delete. If accessed using an OAuth access token, the TEAM_EVENT_TYPE_WRITE scope is required.
DELETE
/
v2
/
organizations
/
{orgId}
/
teams
/
{teamId}
/
event-type-sequences
/
{uid}
Delete an event type sequence
curl --request DELETE \
--url https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}import requests
url = "https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-type-sequences/{uid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_bodyHeaders
value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token
For platform customers - OAuth client secret key
For platform customers - OAuth client ID
Path Parameters
The sequence's uid.
The team's uuid (preferred), its short-uuid (Flickr Base58) form, or its numeric id.
Response
204
Was this page helpful?